#include "Link.h"

namespace cosi {

Link::Link() {
}

Link::~Link() {
}

void Link::SetName(string pS) {
	mName = pS ;
}
string Link::GetName() {
	return mName ;
}
void Link::SetType(string pS) {
	mType = pS ;
}
string Link::GetType() {
	return mType ;
}
void Link::SetSource(string pS) {
	mSource = pS ;
}
string Link::GetSource() {
	return mSource ;
}
void Link::SetDestination(string pS) {
	mDest = pS ;
}
string Link::GetDestination() {
	return mDest;
}
void Link::SetSourceInterface(string pS) {
	mSourceInterface = pS ;
}
string Link::GetSourceInterface() {
	return mSourceInterface ;
}
void Link::SetDestinationInterface(string pS) {
	mDestInterface = pS ;
}
string Link::GetDestinationInterface() {
	return mDestInterface ;
}

BiLink::BiLink() {

}

BiLink::~BiLink() {

}

void BiLink::SetName(string pName) {
	mName = pName ;
}
string BiLink::GetName() {
	return mName ;
}

void BiLink::SetType(string pType) {
	mType = pType ;
}
string BiLink::GetType() {
	return mType ;
}

void BiLink::L1(Link pL) {
	this->first = pL ;
}
void BiLink::L2(Link pL) {
	this->second = pL ;
}
Link BiLink::L1() {
	return this->first ;
}
Link BiLink::L2() {
	return this->second ;
}

}
